<?php


return  
    [
        'model' => [
            'model' => \Crm\Advertisement\Models\Advertisement::class,
            'table' => 'crm_advertisement_advertisements',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['user_id',  'user_type',  'url',  'order',  'image',  'status',  'home_page',  'inner_page',  'left',  'right'],
            'translatables' => [],
            'upload_folder' => 'advertisement/advertisement',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "url", 
                "type" => "text", 
                "label" => 'advertisement::advertisement.label.url', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "order", 
                "type" => "text", 
                "label" => 'advertisement::advertisement.label.order', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "image", 
                "type" => "text", 
                "label" => 'advertisement::advertisement.label.image', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "home_page", 
                "type" => "text", 
                "label" => 'advertisement::advertisement.label.home_page', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "inner_page", 
                "type" => "text", 
                "label" => 'advertisement::advertisement.label.inner_page', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "left", 
                "type" => "text", 
                "label" => 'advertisement::advertisement.label.left', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "right", 
                "type" => "text", 
                "label" => 'advertisement::advertisement.label.right', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'url',
                "element" => 'text',
                "type" => 'text',
                "label" => 'advertisement::advertisement.label.url',
                "placeholder" => 'advertisement::advertisement.placeholder.url',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'order',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'advertisement::advertisement.label.order',
                "placeholder" => 'advertisement::advertisement.placeholder.order',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'image',
                "element" => 'text',
                "type" => 'text',
                "label" => 'advertisement::advertisement.label.image',
                "placeholder" => 'advertisement::advertisement.placeholder.image',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'home_page',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'advertisement::advertisement.label.home_page',
                "placeholder" => 'advertisement::advertisement.placeholder.home_page',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'inner_page',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'advertisement::advertisement.label.inner_page',
                "placeholder" => 'advertisement::advertisement.placeholder.inner_page',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'left',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'advertisement::advertisement.label.left',
                "placeholder" => 'advertisement::advertisement.placeholder.left',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'right',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'advertisement::advertisement.label.right',
                "placeholder" => 'advertisement::advertisement.placeholder.right',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'advertisement/advertisement/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'advertisement/advertisement/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'advertisement/advertisement',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'advertisement/advertisement',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'advertisement/advertisement',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'advertisement/advertisement',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'advertisement::advertisement.label.created_at',
            'name' => 'advertisement::advertisement.label.name',
            'status' => 'advertisement::advertisement.label.status',
        ],
        'groups' => [
            'main' => [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "advertisement::advertisement.groups.main",
                'key' => "main",
                'title' => "advertisement::advertisement.groups.main",
            ],
            'details' => [
                'icon' => "fe:home",
                'name' => "advertisement::advertisement.groups.details",
                'key' => "documents",
                'title' => "advertisement::advertisement.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "advertisement::advertisement.groups.images",
                'key' => "documents",
                'title' => "advertisement::advertisement.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "advertisement::advertisement.groups.settings",
                'key' => "documents",
                'title' => "advertisement::advertisement.groups.settings",
            ]
        ],
        'controller' => [
            'provider' => 'Crm',
            'package' => 'Advertisement',
            'module' => 'Advertisement',
        ],

        
        
    ];
