<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCrmAdvertisementAdvertisementsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: crm_advertisement_advertisements
         */
        Schema::create('crm_advertisement_advertisements', function ($table) {
            $table->increments('id');
            $table->integer('user_id')->nullable();
            $table->string('user_type', 100)->nullable();
            $table->string('url', 255)->nullable();
            $table->integer('order')->nullable();
            $table->text('image')->nullable();
            $table->enum('status', ['Yes', 'No'])->nullable();
            $table->tinyInteger('home_page')->nullable();
            $table->tinyInteger('inner_page')->nullable();
            $table->tinyInteger('left')->nullable();
            $table->tinyInteger('right')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('crm_advertisement_advertisements');
    }
}
